<?php
/*
* 2007-2010 PrestaShop 
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author Prestashop SA <contact@prestashop.com>
*  @copyright  2007-2010 Prestashop SA
*  @version  Release: $Revision: 1.4 $
*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

class UhuCms extends Module
{
	private $_html;

	public function __construct()
	{
		$this->name = 'uhucms';
		$this->tab = 'front_office_features';
		$this->version = 1.1;

		parent::__construct();

		$this->displayName = $this->l('Footer Block by uhupage');
		$this->description = $this->l('Adds a block with several footer links');
		$this->secure_key = Tools::encrypt($this->name);
	}

	public function install()
	{	
		if (!parent::install() OR !$this->registerHook('footer') OR !$this->registerHook('header'))
			return false;
		return true;
	}

	public function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}

	public function hookLeftColumn()
	{
		return $this->display(__FILE__, 'uhucms.tpl');
	}
	
	public function hookRightColumn()
	{
		return $this->display(__FILE__, 'uhucms.tpl');
	}
	
	public function hookFooter()
	{
		global $smarty;

		$smarty->assign(array(
			'block' => 1,
			'ps_version' => _PS_VERSION_
		));
		return $this->display(__FILE__, 'uhucms.tpl');
	}
	
	public function hookHeader($params)
	{
		Tools::addCSS(($this->_path).'uhucms.css', 'all');
	}
	
}
